Package org.apache.solr.client.solrj.response

## Class FacetField.Count

- java.lang.Object
- - org.apache.solr.client.solrj.response.FacetField.Count

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  FacetField

    public static class FacetField.Count
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`Count​(FacetField ff, String n, long c)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAsFilterQuery()`
`long` `getCount()`
`FacetField` `getFacetField()`
`String` `getName()`
`void` `setCount​(long c)`
`void` `setName​(String n)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Count

    public Count​(FacetField ff,
                 String n,
                 long c)

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName​(String n)

#### getCount

    public long getCount()

#### setCount

    public void setCount​(long c)

#### getFacetField

    public FacetField getFacetField()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getAsFilterQuery

    public String getAsFilterQuery()